import { r as registerInstance, h } from './index-b7735e0d.js';

let DevingenHomePage = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const { message, onRetry } = this;
    return (h("div", { class: "d-flex justify-content-center pt-3" }, h("dvn-card", { tint: "danger" }, message, onRetry &&
      h("dvn-card-footer", { alignRight: true, onClick: () => onRetry(), slot: "footer" }, h("dvn-button", { leaned: true }, "Retry")))));
  }
};

export { DevingenHomePage as devingen_error_card };
